Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-6063

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2012-6063
Last Modified 19 Dec 2012 12:00:05
Published 30 Nov 2012 05:55:01
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-6063

Summary

Double free vulnerability in the sftp_mkdir function in sftp.c in libssh before 0.5.3 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via unspecified vectors, a different vector than CVE-2012-4559.

Vulnerable Systems

Application

  • Libssh 0.4.7

  • Libssh 0.4.8

  • Libssh 0.5.0

  • Libssh 0.5.1

  • Libssh 0.5.2


References

MISC - https://bugzilla.redhat.com/show_bug.cgi?id=871612

CONFIRM - http://www.libssh.org/2012/11/20/libssh-0-5-3-security-release/

CONFIRM - http://git.libssh.org/projects/libssh.git/commit/?h=v0-5&id=4d8420f3282ed07fc99fc5e930c17df27ef1e9b2

DEBIAN - DSA-2577


Last Updated: 27 May 2016 11:01:25